GDB (xrefs)

Classes | Functions | Variables
exsummary Namespace Reference

## Classes
class | Edge
class | Function

## Functions
def | declare (fn_name)
def | define_function (fn_name, location)
def | declare_throw (fn_name)
def | declare_nothrow (fn_name)
def | declare_cleanup (fn_name)
def | function_call (to, frm, location)
def | has_indirect_call (fn_name, location)
def | mark_functions (worklist, is_indirect)
def | help_and_exit ()
def | main ()

## Variables
list | work_list = []
dictionary | function_map = {}
list | indirect_functions = []
bool | process_cleanups = False
bool | process_indirect = False
def | status = main()

## Function Documentation

## ◆ declare()

def exsummary.declare | ( |  | fn_name | ) |

Definition at line 103 of file exsummary.py.

Referenced by declare_cleanup(), declare_nothrow(), declare_throw(), define_function(), function_call(), and has_indirect_call().

## ◆ declare_cleanup()

def exsummary.declare_cleanup | ( |  | fn_name | ) |

Definition at line 123 of file exsummary.py.

References declare().

## ◆ declare_nothrow()

def exsummary.declare_nothrow | ( |  | fn_name | ) |

Definition at line 119 of file exsummary.py.

References declare().

## ◆ declare_throw()

def exsummary.declare_throw | ( |  | fn_name | ) |

Definition at line 113 of file exsummary.py.

References declare().

## ◆ define_function()

def exsummary.define_function | ( |  | fn_name,
|  |  | location
| ) |  |

Definition at line 109 of file exsummary.py.

References declare().

## ◆ function_call()

def exsummary.function_call | ( |  | to,
|  |  | frm,
|  |  | location
| ) |  |

Definition at line 129 of file exsummary.py.

References declare().

## ◆ has_indirect_call()

def exsummary.has_indirect_call | ( |  | fn_name,
|  |  | location
| ) |  |

Definition at line 134 of file exsummary.py.

References declare().

## ◆ help_and_exit()

def exsummary.help_and_exit | ( |  | ) |

Definition at line 146 of file exsummary.py.

Referenced by main().

## ◆ main()

def exsummary.main | ( |  | ) |

Definition at line 156 of file exsummary.py.

Referenced by main().

## ◆ mark_functions()

def exsummary.mark_functions | ( |  | worklist,
|  |  | is_indirect
| ) |  |

Definition at line 141 of file exsummary.py.

Referenced by main().

## Variable Documentation

## ◆ function_map

dictionary exsummary.function_map = {}

Definition at line 95 of file exsummary.py.

## ◆ indirect_functions

list exsummary.indirect_functions = []

Definition at line 97 of file exsummary.py.

## ◆ process_cleanups

bool exsummary.process_cleanups = False

Definition at line 99 of file exsummary.py.

## ◆ process_indirect

bool exsummary.process_indirect = False

Definition at line 101 of file exsummary.py.

## ◆ status

def exsummary.status = main()

Definition at line 184 of file exsummary.py.

## ◆ work_list

list exsummary.work_list = []

Definition at line 93 of file exsummary.py.